Subject: Re: bug#16880: 24.3; oauth2: 401-responses not handled transparently [oauth2 0.10]

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 29 May 2021 13:52:25 +0200

Øyvind Stegard <[email-masked]> writes:

> I use oauth2.el to access the Google Contacts API and it has been
> working fine for a long time. But in recent versions (after v0.9 I
> think) I have been getting 401 http responses from Google whenever a
> token refresh was necessary. Subsequently retrying the http request by
> calling `oauth2-url-retrieve-synchronously' again makes it work OK, and
> "200 OK" with expected results is returned.

(I'm going through old bug reports that unfortunately got no response at
the time.)

Are you still seeing this issue with more recent versions of oauth2?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no